Name:           hydra
Version:        5.4
Release:        2%{?dist}
Summary:        A very fast network logon cracker
Group:          Applications/Internet
License:        GPLv2
URL:            http://freeworld.thc.org/thc-hydra/
Source0:        http://freeworld.thc.org/releases/%{name}-%{version}-src.tar.gz
# Patch to fix linker problem:
Patch0:         hydra-5.4-skip-pgsql.diff
# Tiny patch to fix random file creation modes
Patch1:         hydra-5.4-fix-save-function.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel
BuildRequires:  gtk2-devel


%description
Hydra is a parallized login cracker which supports numerous protocols
to attack. New modules are easy to add, beside that, it is flexible
and very fast. Currently this tool supports:
  TELNET, FTP, HTTP, HTTPS, HTTP-PROXY, SMB, SMBNT, MS-SQL, MYSQL, REXEC,
  RSH, RLOGIN, CVS, SNMP, SMTP-AUTH, SOCKS5, VNC, POP3, IMAP, NNTP, PCNFS,
  ICQ, SAP/R3, LDAP2, LDAP3, Postgres, Teamspeak, Cisco auth, Cisco enable,
  LDAP2, Cisco AAA (incorporated in telnet module).

This tool is a proof of concept code, to give researchers and security
consultants the possiblity to show how easy it would be to gain
unauthorized access from remote to a system.


%prep
%setup -q -n %{name}-%{version}-src
%patch0
%patch1 -p1


%build
%configure
sed --in-place 's|^PREFIX=/usr$|PREFIX="${DESTDIR}/usr"|' Makefile
sed --in-place 's|^LIBS=.*$|LIBS=-lm -lssl|' Makefile
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE.GNU LICENCE.HYDRA README CHANGES
%{_bindir}/%{name}
%{_bindir}/x%{name}
%{_bindir}/pw-inspector


%changelog
* Thu Nov 6 2008 Conrad Meyer <konrad@tylerc.org> - 5.4-2
- Fix some BRs.
- Patch to fix builds under mock/koji.

* Fri Aug 1 2008 Conrad Meyer <konrad@tylerc.org> - 5.4-1
- Initial package.
